@echo off
setlocal enabledelayedexpansion

REM Change the server IP and correct folder below
set KEY_PATH=\\192.168.11.125\IS\

REM Add the current day to the filename
REM for /F "skip=1 delims=" %%F in ('wmic PATH Win32_LocalTime GET Day^,Month^,Year /FORMAT:TABLE') do (
REM 	for /F "tokens=1-3" %%L in ("%%F") do (
REM 		set CurrDay=0%%L
REM 		set CurrMonth=0%%M
REM 		set YY=%%N
REM 	)
REM )
REM set DD=%CurrDay:~-2%
REM set MM=%CurrMonth:~-2%

REM set FILESAVE=%KEY_PATH%%COMPUTERNAME%_%YY%%MM%%DD%
REM set FILEREN=%COMPUTERNAME%_%YY%%MM%%DD%

set FILESAVE=%KEY_PATH%%COMPUTERNAME%
set FILEREN=%COMPUTERNAME%

if EXIST %KEY_PATH%%COMPUTERNAME%* goto END

if EXIST "C:\Program Files\Microsoft Office\Office16\OSPP.VBS" goto OFF16

if EXIST "C:\Program Files (x86)\Microsoft Office\Office16\OSPP.VBS" goto X86OFF16

if EXIST "C:\Program Files\Microsoft Office\Office15\OSPP.VBS" goto OFF15

if EXIST "C:\Program Files (x86)\Microsoft Office\Office15\OSPP.VBS" goto X86OFF15

if EXIST "C:\Program Files\Microsoft Office\Office14\OSPP.VBS" goto OFF14

if EXIST "C:\Program Files (x86)\Microsoft Office\Office14\OSPP.VBS" goto X86OFF14

goto UNKNOWN

REM Office 2016 x86 or x64
:OFF16
reg Query "HKLM\Hardware\Description\System\CentralProcessor\0" | find /i "x86" > NUL && set OS=x86 || set OS=x64
set OFF_VER=_OFFICE2016_!OS!
cscript "C:\Program Files\Microsoft Office\Office16\OSPP.VBS" /dstatus >!FILESAVE!
goto SPP

REM Office 2016 x86
:X86OFF16
set OFF_VER=_OFFICE2016_x86
cscript "C:\Program Files (x86)\Microsoft Office\Office16\OSPP.VBS" /dstatus >!FILESAVE!
goto SPP

REM Office 2013 x86 or x64
:OFF15
reg Query "HKLM\Hardware\Description\System\CentralProcessor\0" | find /i "x86" > NUL && set OS=x86 || set OS=x64
set OFF_VER=_OFFICE2013_!OS!
cscript "C:\Program Files\Microsoft Office\Office15\OSPP.VBS" /dstatus >!FILESAVE!
goto SPP

REM Office 2016 x86
:X86OFF15
set OFF_VER=_OFFICE2013_x86
cscript "C:\Program Files (x86)\Microsoft Office\Office15\OSPP.VBS" /dstatus >!FILESAVE!
goto SPP

REM Office 2010 x86 or x64
:OFF14
reg Query "HKLM\Hardware\Description\System\CentralProcessor\0" | find /i "x86" > NUL && set OS=x86 || set OS=x64
set OFF_VER=_OFFICE2010_!OS!
cscript "C:\Program Files\Microsoft Office\Office14\OSPP.VBS" /dstatus >!FILESAVE!
goto SPP

REM Office 2016 x86
:X86OFF14
set OFF_VER=_OFFICE2010_x86
cscript "C:\Program Files (x86)\Microsoft Office\Office14\OSPP.VBS" /dstatus >!FILESAVE!
goto SPP

:UNKNOWN
echo NO OFFICE 2010, 2013 OR 2016 INSTALLED >!FILESAVE!
ren !FILESAVE! %FILEREN%.txt
goto END

REM Getting the last 5 letters from cscript.exe result
:SPP
findstr /c:"product key:" !FILESAVE!>!FILESAVE!.tmp
for /f "tokens=*" %%A in ('type !FILESAVE!.tmp') do (
set SERIAL=%%A
set LAST=!LAST!_!SERIAL:~-5!
)
ren !FILESAVE! %FILEREN%!OFF_VER!!LAST!.txt
del !FILESAVE!.tmp
%KEY_PATH%7z.exe a %KEY_PATH%%COMPUTERNAME%.zip C:\Windows\System32\spp\
goto END

:END